For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETGet a WhatsApp campaign
      • DELDelete a WhatsApp campaign
      • PUTUpdate a WhatsApp campaign
      • GETReturn all your created WhatsApp templates
      • POSTCreate and Send a WhatsApp campaign
      • GETReturn all your created WhatsApp campaigns
      • GETGet your WhatsApp API account information
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsWhatsApp Campaigns

Create and Send a WhatsApp campaign

POST
https://api.brevo.com/v3/whatsappCampaigns
POST
/v3/whatsappCampaigns
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.whatsAppCampaigns.createWhatsAppCampaign({
8 name: "Test Campaign",
9 scheduledAt: "2017-06-01T12:30:00+02:00",
10 templateId: 19,
11 });
12}
13main();
1{
2 "id": 5
3}
<Note>You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. [Activating Whatsapp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account</Note> <Note>This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information. [Get all the Lists](https://developers.brevo.com/reference/getlists-1) [Get all the Segments](https://developers.brevo.com/reference/getsegments)</Note>
Was this page helpful?
Previous

Return all your created WhatsApp campaigns

Next
Built with
You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. Activating Whatsapp in your account
This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information. Get all the Lists Get all the Segments

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Values to create a WhatsApp Campaign
namestringRequired
Name of the WhatsApp campaign creation
recipientsobjectRequired

Segment ids and List ids to include/exclude from campaign

scheduledAtstringRequired

Sending UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.For example: 2017-06-01T12:30:00+02:00

templateIdintegerRequired

Id of the WhatsApp template in approved state

Response

successfully created
idlong
ID of the object created

Errors

400
Bad Request Error